{{- define "prometheus.nodeExporter" -}}
{{- $logLevel := dict "root" $ "logLevels" (dict "trace" "debug" "debug" "debug" "info" "info" "warn" "warn" "error" "error" "crit" "error") "component" "prometheusNodeExporter" | include "stacklight.logLevel" -}}
nodeExporter:
  {{- if $logLevel }}
  extraArgs:
    "log.level": {{ $logLevel | quote }}
  {{- end }}
  tolerations:
  - key: "node-role.kubernetes.io/master"
    operator: "Exists"
    effect: "NoSchedule"
  {{- if .Values.mke.enabled }}
  - key: "com.docker.ucp.manager"
    operator: "Exists"
    effect: "NoSchedule"
  {{- end }}
  {{- $tolerations := (concat .Values.tolerations.default .Values.tolerations.component.prometheusNodeExporter) | uniq }}
  {{- if $tolerations }}
    {{ toYaml $tolerations | nindent 2 }}
  {{- end }}
  image:
    {{- include "stacklight.getImage" (dict "root" . "image" "nodeExporter") | nindent 4 }}
  {{- include "stacklight.resources" (dict "inTplValues" .Values "service" "nodeExporter") | nindent 2 }}
  {{- if .Values.nodeSelector.component.prometheusNodeExporter }}
  nodeSelector:
    {{ toYaml .Values.nodeSelector.component.prometheusNodeExporter | nindent 4 }}
  {{- end }}
{{- end -}}
