{{- define "prometheus.libvirtExporter" -}}
image:
  {{- include "stacklight.getImage" (dict "root" . "image" "prometheusLibvirtExporter") | nindent 2 }}
tolerations:
- key: "node-role.kubernetes.io/master"
  operator: "Exists"
  effect: "NoSchedule"
{{- if .Values.mke.enabled }}
- key: "com.docker.ucp.manager"
  operator: "Exists"
  effect: "NoSchedule"
{{- end }}
{{- $tolerations := (concat .Values.tolerations.default .Values.tolerations.component.prometheusLibvirtExporter) | uniq }}
{{- if $tolerations }}
  {{ toYaml $tolerations | nindent 0 }}
{{- end }}
nodeSelector:
  openstack-compute-node: "enabled"
{{- if .Values.nodeSelector.component.prometheusLibvirtExporter }}
  {{ toYaml .Values.nodeSelector.component.prometheusLibvirtExporter | nindent 2 }}
{{- end }}
{{- include "stacklight.resources" (dict "inTplValues" .Values "service" "libvirtExporter") }}
{{- end }}
